
#block-scafi-languageswitcher,
#block-scafi-main-menu{
    display: none;
}
.menu-mobile-open{
    z-index: 505;    
    background: var(--color-scafi-base-bright);
    width: 2.5em;
    height: 2.5em;
    position: fixed;
    margin: var(--margin);
    right: 0;
    top: 0;
    cursor: pointer;
    align-content: center;
    text-align: center;
}
.toolbar-vertical .menu-mobile-open{
    top: 39px;
}
.menu-mobile-open:before{
    content:"\ef3e";
    font-family: 'remixicon';
}    
body.menu-mobile-opened{
    overflow: hidden;
}
body.menu-mobile-opened .menu-mobile-open:before{
    content:"\eb99";
}

body.menu-mobile-opened #block-scafi-languageswitcher,
body.menu-mobile-opened #block-scafi-main-menu{
    display: block;
}


body.menu-mobile-opened header[role=banner]{
    position: fixed;
    width: 100%;height: 100%;
    top:0;left:0;
    overflow: auto;
    z-index: 600;
    background-color: var(--color-dark-light-blue);
}
body.menu-mobile-opened header[role=banner] .region-header{
    position: relative;
    flex-direction: column-reverse;
    margin: var(--margin);
    align-items:start;
    padding-top: 4rem;
}
body.menu-mobile-opened .region-header #block-scafi-site-branding{
    position: absolute;
    top: 0;
}
body.menu-mobile-opened #menucanvas{
    display: none;
}
body.menu-mobile-opened #block-scafi-main-menu {
    width: 100%;
}
body.menu-mobile-opened #block-scafi-main-menu ul.menu li{
    display: block;
    padding-top: 0;
}
body.menu-mobile-opened #block-scafi-main-menu>ul.menu>li {
    border-top: 1px solid var(--color-scafi-base-bright);
    padding: var(--gutter) 0;
}
body.menu-mobile-opened #block-scafi-main-menu>ul.menu>li>ul.menu>li {
    padding-bottom: var(--gutter);
}

body.menu-mobile-opened #block-scafi-main-menu a{
    text-decoration: none;
}
body.menu-mobile-opened #block-scafi-main-menu ul.menu li ul.menu{
    display: none;
}
body.menu-mobile-opened #block-scafi-main-menu ul.menu li.menu-item-opened ul.menu{
    display: block;
}
body.menu-mobile-opened #block-scafi-main-menu ul.menu li.menu-item-opened>span{
    margin-bottom: var(--gutter);
    display: block;
}
body.menu-mobile-opened #block-scafi-languageswitcher ul.links li.is-active a,
body.menu-mobile-opened #block-scafi-main-menu ul.menu li.menu-item--active-trail a,
body.menu-mobile-opened #block-scafi-main-menu ul.menu li a.is-active,
body.menu-mobile-opened #block-scafi-main-menu ul.menu li.menu-item-opened span{
    border-bottom:none;
    color: inherit;
}
body.menu-mobile-opened #block-scafi-main-menu ul.menu li{
    font-size: var(--font-size-title);
    font-weight: var(--font-weight-bold);
}
body.menu-mobile-opened #block-scafi-main-menu ul.menu li ul.menu li{
    font-weight: var(--font-weight-book);
}
body.menu-mobile-opened #block-scafi-languageswitcher ul.links{
    display: flex;
    gap:var(--gutter);
}

#block-scafi-languageswitcher ul.links li a{
    text-decoration: none;
    font-size: var(--font-size-small-caps);
    font-weight: var(--font-weight-small-caps);
    letter-spacing: var(--letter-spacing-small-caps);
    text-transform: uppercase;
    color: var(--color-white);
}

#block-scafi-languageswitcher ul.links li a,
#block-scafi-main-menu ul.menu li a,
#block-scafi-main-menu ul.menu li span{
    cursor: pointer;
}
#block-scafi-languageswitcher ul.links li,
#block-scafi-main-menu ul.menu li{
    display: inline;
    padding-top: 0;
}

#block-scafi-languageswitcher ul.links,
#block-scafi-main-menu ul.menu{
    margin: 0;
    padding: 0;
    z-index: 20;
    position: relative;
}

@media (min-width: 1080px) {
    .menu-mobile-open{    
        display: none;
    }
    #block-scafi-languageswitcher,
    #block-scafi-main-menu{
        display: block;
    }
    #block-scafi-languageswitcher ul.links,
    #block-scafi-main-menu ul.menu{
        margin: 0;
        padding: 0;
        z-index: 20;
        position: relative;
        display: flex;
        column-gap: 1em;
    }
    #block-scafi-main-menu ul.menu li a,
    #block-scafi-main-menu ul.menu li span{
        text-decoration: none;
        font-size: var(--font-size-small-caps);
        font-weight: var(--font-weight-small-caps);
        letter-spacing: var(--letter-spacing-small-caps);
        text-transform: uppercase;
        color: var(--color-white);
    }
    #block-scafi-languageswitcher ul.links li.is-active a,
    #block-scafi-main-menu ul.menu li.menu-item--active-trail a,
    #block-scafi-main-menu ul.menu li a.is-active,
    #block-scafi-main-menu ul.menu li.menu-item-opened span{
        border-bottom:1px solid var(--color-light-blue);
    }

    #block-scafi-main-menu ul.menu ul.menu {
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        margin: 0;
        pointer-events: none;
        opacity: 0;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        transition: opacity .3s linear;
        z-index: -1;
        box-sizing: border-box;
        padding: var(--margin);
    }
    #block-scafi-main-menu ul.menu ul.menu li a{
        /*font-size: var(--font-size-title);*/
        font-size: 6vh;
        line-height: 1.1em;
        font-family: 'MierA';
        text-transform: initial;
        font-weight: var(--font-weight-title);
        letter-spacing: initial;
    }
    #block-scafi-main-menu ul.menu ul.menu li a:hover{
        color:var(--color-scafi-base);
    }

    #block-scafi-main-menu ul.menu li.menu-item-opened ul.menu {
        opacity: 1;
        pointer-events: all;
    }
    #block-scafi-site-branding{
        z-index: 21;
        min-width: 70px;
    }
    body.menu-item-opened{
        overflow: hidden;
    }
    body.menu-item-opened #block-scafi-main-menu ul.menu li.menu-item--active-trail a{
        border-bottom: none;
    }






    @property --animl {
    syntax: '<length>';
    inherits: false;
    initial-value: 0px;
    }



    #block-scafi-main-menu ul.menu li.menu-item-opened #menuanim{
        position: fixed;
        bottom:0;
        right: 0;
        display: grid;
        grid-template-columns: repeat(10, 80px);
        width: 100%;
        justify-content: end;
        background-color: var(--color-dark-blue);
        z-index: -2;
    }
    #block-scafi-main-menu ul.menu li.menu-item-opened #menuanim i{
        display: block;
        width: 80px;
        height: 80px;
        overflow: hidden;
        position: relative;
        --animl: 0px;
    }
    #block-scafi-main-menu ul.menu li.menu-item-opened #menuanim i:before{
        content: " ";
        position: absolute;
        bottom: 0;
        left: 0;
        
        width: var(--animl);
        
        border-left: calc(2 * (80px -  var(--animl))) solid transparent;
        border-top: calc(2 * (80px - var(--animl))) solid transparent;
        border-bottom: calc(2 * var(--animl)) solid var(--color-scafi-base-bright);
        border-right: 80px solid var(--color-scafi-base-bright);
        
        --animl: inherit;
    }


    canvas#menucanvas{   
        position: fixed;
        top: 0;
        left: 0;
        z-index: -5;
        opacity: 0;
        transition: opacity .3s linear;
        pointer-events: none;
    }
    li.menu-item-opened canvas#menucanvas{   
        opacity: 1;
    }
}

